> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/in-memory-db/how-tos/v2/view-in-memory-db-clusters.md).

# View In-Memory DB Clusters

After successfully configuring your In-Memory DB clusters, you can view their details, modify them, or delete a specific cluster if it is no longer required.

To view the In-Memory DB details, follow these steps:

* In the **DCD**, go to **Menu** > **Databases** > **In-Memory DB**. A list of all In-Memory DB clusters is displayed.

{% hint style="success" %}
**Result:** You can view the total number of resources allocated and the list of all clusters in addition to the following details:

* **NAME:** Displays the name of the cluster. Select the name of the cluster to view its [<mark style="color:blue;">details</mark>](#view-individual-cluster-details).
* **STATE:** Displays the state of the respective cluster:
  * **PROVISIONING:** When the cluster is being created.
  * **AVAILABLE:** When the cluster is available and running normally.
  * **UPDATING:** When the cluster is being updated. For example, after modifying its details.
  * **DESTROYING:** When the cluster is being deleted.
  * **FAILED:** An error occurred.
* **LOCATION:** Displays the location where the cluster is located.
* **INSTANCES:** Displays the number of instances.
* **VERSION:** The version selected during cluster creation.
* **OPTIONS:** Select ![Options menu](/files/zMw81MF9KCPxOHBMLSog) to perform the following:
  * **View details:** Select to view the [<mark style="color:blue;">details</mark>](#view-individual-cluster-details) of the respective cluster.
  * **Edit:** Select to edit the respective cluster. For more information, see [<mark style="color:blue;">Update an In-Memory DB Cluster</mark>](/cloud/databases/in-memory-db/how-tos/v2/update-in-memory-db-cluster.md).
  * **Delete:** Select to delete the corresponding cluster. In the dialog box that appears, select **Delete** to confirm deletion. For more information, see [<mark style="color:blue;">Delete an In-Memory DB Cluster</mark>](/cloud/databases/in-memory-db/how-tos/v2/delete-in-memory-db-cluster.md).
    {% endhint %}

![In-Memory DB cluster overview](/files/3C4Wjn7qobbMMx8MiPsS)

## View individual Cluster details

You can view the details of a specific cluster. To do so, follow these steps:

1\. In the **DCD**, go to **Menu** > **Databases** > **In-Memory DB**.

A list of all In-Memory DB clusters is displayed.

2\. Select a cluster from the list by clicking on its name. Alternatively, click **View details** in the **OPTIONS** column.

![Select an In-Memory DB cluster](/files/WcQYQyTeqvPZudP4wE7f)

{% hint style="success" %}
**Result:** For the selected In-Memory DB cluster, you can view the following details:

* **Properties:**
  * **State:** The current state of the cluster.
  * **Cluster UUID:** The unique identifier of the cluster. Click **Copy** to copy it to the clipboard.
  * **DNS name:** The DNS name used to connect to the cluster's primary instance. Click **Copy** to copy it to the clipboard.
  * **Version:** The In-Memory DB version selected during cluster creation.
  * **Location:** The location where the cluster is deployed.
  * **Description:** The human-readable description provided for the cluster, if any.
* **Cluster configuration:**
  * **Instances:** The number of instances in the cluster.
  * **Replication Type:** The replication mode configured for the cluster. A standalone cluster shows **No Replication**; a cluster with multiple instances shows **Asynchronous**.
  * **Persistence:** The persistence mode configured for the cluster, for example **In-Memory**, **AOF**, **RDB**, or a combination of both.
  * **Eviction Policy:** The key eviction strategy applied when the memory limit is reached, for example **noeviction**.
* **Instance configuration:**
  * **Cores:** The number of dedicated CPU cores allocated per instance.
  * **RAM size:** The RAM allocated per instance.
* **Network configuration:**
  * **Virtual Data Center:** The datacenter selected for network configuration.
  * **VDC LAN:** Displays the LAN for the Virtual Data Center (VDC).
  * **IP/Subnet:** The private IP address and subnet used to connect to the cluster.
* **Snapshot configuration:**
  * **Snapshot location:** The Object Storage region where cluster snapshots are stored.
  * **Retention days:** The number of days snapshots are retained before being automatically deleted.
  * **Snapshot hours (UTC):** The hour or hours of the day at which snapshots are taken.
* **Observability:**
  * **Logs:** Indicates whether log forwarding is enabled.
  * **Metrics:** Indicates whether metrics forwarding is enabled.
  * **Open in Grafana:** Opens the cluster's metrics in [<mark style="color:blue;">Grafana</mark>](/cloud/observability/monitoring-service/quick-start/access-metrics-from-platform.md). Available only when metrics are enabled.
* **Maintenance:**
  * **Weekday:** The day of the week scheduled for the maintenance window.
  * **Start Time:** The start time of the maintenance window in UTC.
* **Activity:**
  * **Created by:** The user who created the cluster.
  * **Created on:** The date and time the cluster was created.
  * **Last modified on:** The date and time of the last modification.
  * **Resource URN:** The unique resource identifier of the cluster.
* **Estimated price:**
  * **Hour:** The estimated hourly cost for the cluster.
  * **Month:** The estimated monthly cost for the cluster.
    {% endhint %}

![View details of an In-Memory DB cluster](/files/FOPdULRG0ZZYmXXPw8Y3)

## Next steps

* [<mark style="color:blue;">Edit</mark>](/cloud/databases/in-memory-db/how-tos/v2/update-in-memory-db-cluster.md): Modify cluster properties such as instances, resources, and maintenance settings.
* [<mark style="color:blue;">Delete</mark>](/cloud/databases/in-memory-db/how-tos/v2/delete-in-memory-db-cluster.md): Permanently remove a cluster that is no longer required.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/databases/in-memory-db/how-tos/v2/view-in-memory-db-clusters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
